#if ! defined( CMAPS_H )
#  define CMAPS_H

#include "WgscmapsDlg.h"

CHAR *
compfil(
const CHAR *filnam);

VOID
prclog(CWgscmapsDlg *dlg);                      // process compress log                 

VOID
dsphlp(VOID);

VOID
prccmp(
CHAR *path,
CHAR *filnam);

VOID
AddLocalFiles();

VOID
AddHypermediaFiles();

VOID
AddFile(
const char *lpszParam);

VOID
ClearClog(VOID);


struct complog {                   // log of files to be compressed        
     CHAR *path;                   //   file path sans '\'                 
     CHAR *name;                   //        name                          
     LONG size;                    //        size (cosmetic purposes)      
};

extern complog **clog;                          // global array instance                

extern UINT nlogd;                        // current number in **clog             
extern BOOL quiet;

#endif
